curl "https://api.northaxiumdata.ca/api/v1/lobbyists/12345" \
-H "X-API-Key: <your-api-key>"
{
"data": {
"lobbyist_id": "12345",
"lobbyist_name": "Jane Smith",
"firm_name": "Capital Strategy Group",
"registration_type": "Consultant",
"client_count": 12,
"total_communications": 48,
"active_registrations": 4,
"top_institutions": [
{ "institution": "Innovation, Science and Economic Development Canada", "count": 9 }
],
"top_subjects": [
{ "subject": "Industry", "count": 11 }
],
"first_seen_date": "2018-03-12",
"last_seen_date": "2026-03-20",
"recent_communications": [
{
"event_id": 987654,
"com_id": "COM-992381",
"client": "Tech Innovators North",
"dpoh_name": "John Doe",
"institution": "Department of Finance Canada",
"date": "2026-03-20"
}
]
}
}
Retrieve a detailed profile of a registered lobbyist.
curl "https://api.northaxiumdata.ca/api/v1/lobbyists/12345" \
-H "X-API-Key: <your-api-key>"
{
"data": {
"lobbyist_id": "12345",
"lobbyist_name": "Jane Smith",
"firm_name": "Capital Strategy Group",
"registration_type": "Consultant",
"client_count": 12,
"total_communications": 48,
"active_registrations": 4,
"top_institutions": [
{ "institution": "Innovation, Science and Economic Development Canada", "count": 9 }
],
"top_subjects": [
{ "subject": "Industry", "count": 11 }
],
"first_seen_date": "2018-03-12",
"last_seen_date": "2026-03-20",
"recent_communications": [
{
"event_id": 987654,
"com_id": "COM-992381",
"client": "Tech Innovators North",
"dpoh_name": "John Doe",
"institution": "Department of Finance Canada",
"date": "2026-03-20"
}
]
}
}
lobbyists table, including recent communications.
lobbyists table.curl "https://api.northaxiumdata.ca/api/v1/lobbyists/12345" \
-H "X-API-Key: <your-api-key>"
{
"data": {
"lobbyist_id": "12345",
"lobbyist_name": "Jane Smith",
"firm_name": "Capital Strategy Group",
"registration_type": "Consultant",
"client_count": 12,
"total_communications": 48,
"active_registrations": 4,
"top_institutions": [
{ "institution": "Innovation, Science and Economic Development Canada", "count": 9 }
],
"top_subjects": [
{ "subject": "Industry", "count": 11 }
],
"first_seen_date": "2018-03-12",
"last_seen_date": "2026-03-20",
"recent_communications": [
{
"event_id": 987654,
"com_id": "COM-992381",
"client": "Tech Innovators North",
"dpoh_name": "John Doe",
"institution": "Department of Finance Canada",
"date": "2026-03-20"
}
]
}
}